Module MdlFriend

    Public Structure SPB
        Public MaxValue As Integer
        Public MinValue As Integer
        Public Value As Integer
    End Structure

    Public EtapeName As String = ""
    Public PB1 As SPB
    Public PB2 As SPB
    Public PB3 As SPB

    Public DocXml As ClsDocument

    Public Sub Analyse()
        Dim lStrDir As String = Environment.CurrentDirectory
        If My.Application.CommandLineArgs.Count > 0 Then
            If IO.Directory.Exists(My.Application.CommandLineArgs(0)) Then lStrDir = My.Application.CommandLineArgs(0)
        End If
        AddLog("MdlFriend", "Dossier utilis """ + lStrDir + """", EPrio.Normal)
        Dim lDir As New IO.DirectoryInfo(lStrDir)
        Dim lFrm As New FrmSplash
        lFrm.Show()

        Application.DoEvents()

        PB2.MaxValue = 1
        PB3.MaxValue = 1

        PB1.MaxValue = 1
        PB1.MinValue = 0
        PB1.Value = 1
        EtapeName = "Ouverture et mise  jour de la playlist"

        DocXml = New ClsDocument(IO.Path.Combine(lDir.FullName, "PlayList.xml"))

        'PB1.Value = 2
        'EtapeName = "Vrification de la liste des fichiers"

        'LoadFile()
        'undoned  : chargement de la liste des titres

        lFrm.Close()
        lFrm.Dispose()
        lFrm = Nothing
    End Sub

    ''' <summary>
    ''' Retourne une des 2 expressionss
    ''' </summary>
    ''' <typeparam name="T">Type  utiliser</typeparam>
    ''' <param name="pCondition">Condition</param>
    ''' <param name="pTrue">Valeur retourne si <c>pCondition</c> est <c>True</c></param>
    ''' <param name="pFalse">Valeur retourne si <c>pCondition</c> est <c>False</c></param>
    ''' <returns></returns>
    ''' <remarks>Permet d'viter l'utilisation de <c>CType</c> avec <c>IIF</c> par dfaut</remarks>
    Public Function IIF(Of T)(ByVal pCondition As Boolean, ByVal pTrue As T, ByVal pFalse As T) As T
        If pCondition Then
            Return pTrue
        Else
            Return pFalse
        End If
    End Function

End Module
